# Interface MultipleSelectionListModel<T>

All Superinterfaces:
  `ListModel<T>`

All Known Implementing Classes:
  `ContactsModel, DefaultListModel`

public interface MultipleSelectionListModel<T> extends ListModel<T>
Events `ListModel` to support multiple selection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSelectedIndices(int... indices)`
  Adds indices to set of selected indices.
  `int[]`
  `getSelectedIndices()`
  Gets the selected indices in this model.
  `void`
  `removeSelectedIndices(int... indices)`
  Removes indices from the set of selected indices.
  `void`
  `setSelectedIndices(int... indices)`
  Sets the selected indices in this model.

  ### Methods inherited from interface ListModel

  `addDataChangedListener, addItem, addSelectionListener, getItemAt, getSelectedIndex, getSize, removeDataChangedListener, removeItem, removeSelectionListener, setSelectedIndex`
  Modifier and Type
  Method
  Description
  `void`
  `addDataChangedListener(DataChangedListener l)`
  Invoked to indicate interest in future change events
  `void`
  `addItem(T item)`
  Adds the specified item to the end of this list.
  `void`
  `addSelectionListener(SelectionListener l)`
  Invoked to indicate interest in future selection events
  `T`
  `getItemAt(int index)`
  Returns the item at the given offset
  `int`
  `getSelectedIndex()`
  Returns the selected list offset
  `int`
  `getSize()`
  Returns the number of items in the list
  `void`
  `removeDataChangedListener(DataChangedListener l)`
  Invoked to indicate no further interest in future change events
  `void`
  `removeItem(int index)`
  Removes the item at the specified position in this list.
  `void`
  `removeSelectionListener(SelectionListener l)`
  Invoked to indicate no further interest in future selection events
  `void`
  `setSelectedIndex(int index)`
  Sets the selected list offset can be set to -1 to clear selection

- ## Method Details

  - ### addSelectedIndices

    void addSelectedIndices(int... indices)

    Adds indices to set of selected indices.

    ###### Parameters

    - `indices`: Indices to add to selected indices.

  - ### removeSelectedIndices

    void removeSelectedIndices(int... indices)

    Removes indices from the set of selected indices.

    ###### Parameters

    - `indices`: Indices to remove from selected indices.

  - ### getSelectedIndices

    int[] getSelectedIndices()

    Gets the selected indices in this model. Indices should be returned in increasing order with no duplicates.

    ###### Returns

    Returns:
      Selected indices in increasing order with no duplicates. If there are no selected indices, then this will return a zero-length array.

  - ### setSelectedIndices

    void setSelectedIndices(int... indices)

    Sets the selected indices in this model.

    ###### Parameters

    - `indices`